CREATE TABLE SERVICE_COND (
    ID_SERVICE_COND NUMBER NOT NULL,
    DESCRIPTION VARCHAR2(100 CHAR) NOT NULL,
    INTERNAL_DESCRIPTION VARCHAR2(100 CHAR) NOT NULL,
    SERVICE_CODE VARCHAR2(30 CHAR) NOT NULL,
    GROUP_TYPE VARCHAR2(1 CHAR) NOT NULL,
    OPERATION_TYPE VARCHAR2(1 CHAR) NOT NULL,
    LIMIT_VALUE NUMBER NOT NULL,
    LIMIT_VALUE_TYPE VARCHAR2(1 CHAR) NOT NULL,
    NEGATE_SERVICE_VALUE VARCHAR2(1 CHAR) NOT NULL,
    CONSTRAINT PK_SERVICE_COND PRIMARY KEY(ID_SERVICE_COND)
);

CREATE SEQUENCE SERVICE_COND_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE FORCE VIEW V_SERVICE_COND (ID_SERVICE_COND, DESCRIPTION, INTERNAL_DESCRIPTION, SERVICE_CODE, GROUP_TYPE, OPERATION_TYPE, LIMIT_VALUE, LIMIT_VALUE_TYPE, NEGATE_SERVICE_VALUE, SERVICE) AS
SELECT 
    S.ID_SERVICE_COND, 
    S.DESCRIPTION, 
    S.INTERNAL_DESCRIPTION, 
    S.SERVICE_CODE, 
    S.GROUP_TYPE, 
    S.OPERATION_TYPE, 
    S.LIMIT_VALUE,
    S.NEGATE_SERVICE_VALUE,
    S.LIMIT_VALUE_TYPE,
    SN.OPIS AS SERVICE
FROM 
    SERVICE_COND S 
    LEFT OUTER JOIN M_NNSTOMAR SN ON SN.SIFRA = S.SERVICE_CODE;

CREATE TABLE SERVICE_COND_DET (
    ID_SERVICE_COND_DET NUMBER NOT NULL,
    ID_SERVICE_COND NUMBER NOT NULL,
    SERVICE_CODE VARCHAR2(30 CHAR) NOT NULL,
    CONSTRAINT PK_SERVICE_COND_DET PRIMARY KEY(ID_SERVICE_COND_DET),
    CONSTRAINT FK_SERVICE_COND FOREIGN KEY (ID_SERVICE_COND) REFERENCES SERVICE_COND (ID_SERVICE_COND)
);

CREATE SEQUENCE SERVICE_COND_DET_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2276, SYSDATE, '5.5', 2196, 'Conditional services')
;
